<template>
    <div class="postcard-mediacard">

        <img :src="`data:image/png;base64,${postcard.imageData}`" alt="postcard" />
        <h2 class="from">From: {{postcard.address.name}}</h2>
        <h2 class="adress">Email: {{postcard.address.email}}</h2>
        <p class="date">Date: {{postcard.date}}</p>
    </div>
</template>
  
  <script>
export default {
  name: "ThePostCardMediaCard",

  data() {
    return {};
  },
  props: {
    postcard: Object,
  },

  mounted() {
    console.dir(this.postcard);
    // decode base64 image
    //this.postcard.imageData = atob(this.postcard.imageData);

  },

  methods: {},
};
</script>